com.holonplatform.core.internal

## Class SLF4JLogger

- java.lang.Object
- - com.holonplatform.core.internal.SLF4JLogger

- All Implemented Interfaces:
    Logger, Serializable

      public class SLF4JLogger
      extends Object
      implements Logger

  SLF4J `Logger` implementation.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.internal.Logger

      `Logger.Level`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.internal.Logger

      `SLF4J_PRESENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SLF4JLogger(String loggerName)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEnabled(Logger.Level level)` Check whether given log level is enabled
    `void` | `log(Logger.Level level, String message)` Log a message
    `void` | `log(Logger.Level level, String message, Throwable throwable)` Log a message and a `Throwable` exception.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.internal.Logger

      `create, debug, debug, error, error, info, info, warn, warn`

- - ### Constructor Detail

    - #### SLF4JLogger

          public SLF4JLogger(String loggerName)

      Constructor
      Parameters:
        `loggerName` - Logger name (not null)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled(Logger.Level level)

      Description copied from interface: `Logger`
      Check whether given log level is enabled
      Specified by:
        `isEnabled` in interface `Logger`
      Parameters:
        `level` - Level to check
      Returns:
        `true` if enabled, `false` otherwise

    - #### log

          public void log(Logger.Level level,
                          String message)

      Description copied from interface: `Logger`
      Log a message
      Specified by:
        `log` in interface `Logger`
      Parameters:
        `level` - Log level (not null)
        `message` - Message to log

    - #### log

          public void log(Logger.Level level,
                          String message,
                          Throwable throwable)

      Description copied from interface: `Logger`
      Log a message and a `Throwable` exception.
      Specified by:
        `log` in interface `Logger`
      Parameters:
        `level` - Log level (not null)
        `message` - Message to log
        `throwable` - Exception to log

Copyright © 2019 The Holon Platform. All rights reserved.